com.amazonaws.services.workspaces.model

## Class WorkspaceBundle

- java.lang.Object
- - com.amazonaws.services.workspaces.model.WorkspaceBundle

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkspaceBundle
    extends Object
    implements Serializable, Cloneable

Contains information about a WorkSpace bundle.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceBundle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkspaceBundle` `clone()`
`boolean` `equals(Object obj)`
`String` `getBundleId()` The bundle identifier.
`ComputeType` `getComputeType()` A ComputeType object that specifies the compute type for the bundle.
`String` `getDescription()` The bundle description.
`String` `getName()` The name of the bundle.
`String` `getOwner()` The owner of the bundle.
`UserStorage` `getUserStorage()` A UserStorage object that specifies the amount of user storage that the bundle contains.
`int` `hashCode()`
`void` `setBundleId(String bundleId)` The bundle identifier.
`void` `setComputeType(ComputeType computeType)` A ComputeType object that specifies the compute type for the bundle.
`void` `setDescription(String description)` The bundle description.
`void` `setName(String name)` The name of the bundle.
`void` `setOwner(String owner)` The owner of the bundle.
`void` `setUserStorage(UserStorage userStorage)` A UserStorage object that specifies the amount of user storage that the bundle contains.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkspaceBundle` `withBundleId(String bundleId)` The bundle identifier.
`WorkspaceBundle` `withComputeType(ComputeType computeType)` A ComputeType object that specifies the compute type for the bundle.
`WorkspaceBundle` `withDescription(String description)` The bundle description.
`WorkspaceBundle` `withName(String name)` The name of the bundle.
`WorkspaceBundle` `withOwner(String owner)` The owner of the bundle.
`WorkspaceBundle` `withUserStorage(UserStorage userStorage)` A UserStorage object that specifies the amount of user storage that the bundle contains.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkspaceBundle

    public WorkspaceBundle()

### Method Detail

#### setBundleId

    public void setBundleId(String bundleId)

The bundle identifier.

Parameters:
  `bundleId` - The bundle identifier.

#### getBundleId

    public String getBundleId()

The bundle identifier.

Returns:
  The bundle identifier.

#### withBundleId

    public WorkspaceBundle withBundleId(String bundleId)

The bundle identifier.

Parameters:
  `bundleId` - The bundle identifier.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

The name of the bundle.

Parameters:
  `name` - The name of the bundle.

#### getName

    public String getName()

The name of the bundle.

Returns:
  The name of the bundle.

#### withName

    public WorkspaceBundle withName(String name)

The name of the bundle.

Parameters:
  `name` - The name of the bundle.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOwner

    public void setOwner(String owner)

The owner of the bundle. This contains the owner's account identifier, or `AMAZON` if the bundle is provided by AWS.

Parameters:
  `owner` - The owner of the bundle. This contains the owner's account identifier, or `AMAZON` if the bundle is provided by AWS.

#### getOwner

    public String getOwner()

The owner of the bundle. This contains the owner's account identifier, or `AMAZON` if the bundle is provided by AWS.

Returns:
  The owner of the bundle. This contains the owner's account identifier, or `AMAZON` if the bundle is provided by AWS.

#### withOwner

    public WorkspaceBundle withOwner(String owner)

The owner of the bundle. This contains the owner's account identifier, or `AMAZON` if the bundle is provided by AWS.

Parameters:
  `owner` - The owner of the bundle. This contains the owner's account identifier, or `AMAZON` if the bundle is provided by AWS.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

The bundle description.

Parameters:
  `description` - The bundle description.

#### getDescription

    public String getDescription()

The bundle description.

Returns:
  The bundle description.

#### withDescription

    public WorkspaceBundle withDescription(String description)

The bundle description.

Parameters:
  `description` - The bundle description.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserStorage

    public void setUserStorage(UserStorage userStorage)

A UserStorage object that specifies the amount of user storage that the bundle contains.

Parameters:
  `userStorage` - A UserStorage object that specifies the amount of user storage that the bundle contains.

#### getUserStorage

    public UserStorage getUserStorage()

A UserStorage object that specifies the amount of user storage that the bundle contains.

Returns:
  A UserStorage object that specifies the amount of user storage that the bundle contains.

#### withUserStorage

    public WorkspaceBundle withUserStorage(UserStorage userStorage)

A UserStorage object that specifies the amount of user storage that the bundle contains.

Parameters:
  `userStorage` - A UserStorage object that specifies the amount of user storage that the bundle contains.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeType

    public void setComputeType(ComputeType computeType)

A ComputeType object that specifies the compute type for the bundle.

Parameters:
  `computeType` - A ComputeType object that specifies the compute type for the bundle.

#### getComputeType

    public ComputeType getComputeType()

A ComputeType object that specifies the compute type for the bundle.

Returns:
  A ComputeType object that specifies the compute type for the bundle.

#### withComputeType

    public WorkspaceBundle withComputeType(ComputeType computeType)

A ComputeType object that specifies the compute type for the bundle.

Parameters:
  `computeType` - A ComputeType object that specifies the compute type for the bundle.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkspaceBundle clone()

Overrides:
  `clone` in class `Object`